Jump to content

Archived

This topic is now archived and is closed to further replies.

green

green

Recommended Posts

Promis, j'essaierai selon ta méthode avec un noyau "pur", je sens que ça va pas être de la tarte...

:fumer: .....

Ca sera tres formateur et tu constateras que ce n'est pas insurmontable green.... Et puis si jamais tu as besoin de renseignements ou que tu as des soucis, je me ferais un plaisir de t'aider. :mdr:;)

:-D

Share this post


Link to post
Share on other sites

Merci Remy et Tuxxx .

Bon, le week-end au niveau informatique a été nullos ...

Mandrake 10.1 bêta 1 : à l'installation il me dit qu' il n'arrive pas à installer 2 rpms du 1er Cd (pour KDE) et me demande si je veux conttinuer l'installation quant même, je réponds oui ensuite ok.

Donc, comme on pouvait s'y attendre kde ne marche pas, Gnome si mais bon j'étais venu voir KDE.

Je ne me décourage pas et comme j'avais noté les noms des 2 rpms, je les télécharge à partir d'un serveur cooker et j'essaie de les installer sous Gnome.

Evidemment, des dépendances à n'en plus finir , pas que ça à faire .............. 3 CDs poubelle.

Conectiva 10 : Tuxxx avait raison : en modifiant le fichier Makefile, on arrive comme sous Mandrake à compiler un nouveau kernel (...custom ).

Je modifie /boot/grub/menu.lst et je redémarre sous mon kernel tout chaud.

Et là : je suis en qwerty, il ne peut pas lancer KDE car le module dri le gène (il le trouve dans /etc/X11/XF86Config-4 mais ce module n'existe pas), bon je le vire.

Maintenant, il me dit : failed to load NVIDIA, bon je mets nv à la place de nvidia...

Il me dit alors que nv il connaît pas ... je vire nv.

Il me dit : card0 must have a driver line ...

Je tente quand même pour voir un startmodem, résultat :

usb 2-2 : can't set config#1 error -75

C'est pas beau tout ça ???

Tu comprends pourquoi Mandrake ça me détend maintenant ?

:D:incline:

Share this post


Link to post
Share on other sites
Je modifie /boot/grub/menu.lst et je redémarre sous mon kernel tout chaud.

Et là : je suis en qwerty, il ne peut pas lancer KDE car le module dri le gène (il le trouve dans /etc/X11/XF86Config-4 mais ce module n'existe pas), bon je le vire.

Maintenant, il me dit : failed to load NVIDIA, bon je mets nv à la place de nvidia...

Il me dit alors que nv il connaît pas ... je vire nv.

Il me dit : card0 must have a driver line ...

->Le dri ne sert jamais à rien...

->le module nvidia n'est pas compilé pour ce noyau, il faut que tu réinstalle le driver...

->il connais pas nv? essaye vesa...

Share this post


Link to post
Share on other sites

Il me dit qu'il connaît pas vesa non plus ... il commence à me gonfler .

nv, vesa ce sont bien des modules ?

Share this post


Link to post
Share on other sites
Il me dit qu'il connaît pas vesa non plus ... il commence à me gonfler .

nv, vesa ce sont bien des modules ?

non, ce sont des drivers pour xfree, et d'ailleur, je vois pas du tout le rapport avec le changement de noyau...

Normalement, ils se trouvent dans /usr/X11R6/lib/modules/drivers/

Par exemple, moi j'ai :

apm_drv.o        fbdev_drv.o    nsc_drv.o            sis_drv.o

ark_drv.o        glint_drv.o    nv_drv.o            tdfx_drv.o

ati_drv.o        i128_drv.o      nvidia_drv.o        tga_drv.o

atimisc_drv.o    i740_drv.o      r128_drv.o          trident_drv.o

chips_drv.o      i810_drv.o      radeon_drv.o        tseng_drv.o

cirrus_alpine.o  imstt_drv.o    rendition_drv.o      vesa_drv.o

cirrus_drv.o    linux          s3_drv.o            vga_drv.o

cirrus_laguna.o  mga_drv.o      s3virge_drv.o        vmware_drv.o

cyrix_drv.o      neomagic_drv.o  savage_drv.o

dummy_drv.o      newport_drv.o  siliconmotion_drv.o

Share this post


Link to post
Share on other sites

J'ai monté en provisoire la partition hda2 (Conectiva) sur Mandrake10 pour voir et sur /mnt/hda2/usr/X11R6/lib/modules/drivers/ il n' y a que :

dummy_drv.o, nvidia_drv.o, vesa-drv.o, vga_drv.o

Il devrait voir qu'il y a vesa pourtant ...

Pour le noyau "pur", j'ai commencé à lire ta doc et j'ai téléchargé ces 2 fichiers, c'est bon ?

linux-2.6.7.tar.gz et patch-2.6.8-rc2.bz2 (42 Mo et 3 Mo).

Share this post


Link to post
Share on other sites

j'ai téléchargé ces 2 fichiers, c'est bon ?

linux-2.6.7.tar.gz et patch-2.6.8-rc2.bz2 (42 Mo et 3 Mo).

Oui, mais le patch n'est peut etre pas indispensable, a toi de voir.

Share this post


Link to post
Share on other sites

Voici ce qui est dit sur le site eciadsl :

Le driver EciAdsl est compatible avec les noyaux 2.6.x depuis sa version 0.9.

Tous les noyaux 2.6 entre le 2.6.0 et le 2.6.6 sont à patcher (voir lien ci-dessous).

Le noyau 2.6.7-rc2 ne nécessite plus de patch mais semble plus instable à l'utilisation que le 2.6.6 (déconnexion lors de l'upload par exemple).

MAJ le 23/06/2004 : même problème avec le noyau 2.6.7 final.

MAJ le 27/06/2004 : le noyau 2.6.7-mm3 semble meilleur.

MAJ le 03/07/2004 : un patch semble améliorer (sans pour autant résoudre) les problèmes du 2.6.7 : http://bugme.osdl.org/attachment.cgi?id=3142&action=view

Donc j'ai un peu peur que le 2.6.7 sans patch ce soit pas le pied... non ?

D'ailleurs, c'est quoi le pb finalement le noyau qui est mal adapté au driver ou le contraire ??

T'as un modem usb avec le même genre de pbs ?

Share this post


Link to post
Share on other sites

Ben je pense que tu devrais tenter

2.6.7 + patch 2.6.8-rc1 + patch 2.6.8-rc1-mm1 ...

Sinon, le truc du driver vesa, merso, je trouve qu'il y a très peu de drivers...

Tu as déjà démarré X?

Si oui, avec quel driver?

Share this post


Link to post
Share on other sites

Tu le trouves où le 2.6.8-rc1 tout court ?

Je vois pas ...

Pour Conectiva, à l'installation avec le kernel par défaut il installe ce qu'il faut pour ma carte graphique Nvidia un peu comme la PowerPack et on peut jouer tout de suite à TuxRacer, enfin pour ceux que ça intéresse ...

Donc avec le noyau par défaut X s'affichait sans pb ...

Maintenant avec l'un ou l'autre des kernels plus moyen de voir KDE . :byebye:

Share this post


Link to post
Share on other sites
Tu le trouves où le 2.6.8-rc1 tout court ?

Je vois pas ...

Pour Conectiva, à l'installation avec le kernel par défaut il installe ce qu'il faut pour ma carte graphique Nvidia un peu comme la PowerPack et on peut jouer tout de suite à TuxRacer, enfin pour ceux que ça intéresse ...

Donc avec le noyau par défaut X s'affichait sans pb ...

Maintenant avec l'un ou l'autre des kernels plus moyen de voir KDE . :byebye:

Pour le 2.6.8-rc1, c'est au même endroit que le 2.6.8-rc2, mais avec 1 à la place du 2...

(http://www.kernel.org/pub/linux/kernel/v2.6/testing/patch-2.6.8-rc1.bz2)

Si tu veux avoir X qui marche à nouveau, tu n'est qu'à installer le driver nVIDIA, alors...

Il faut avoir un noyau qui merche, booter dessus, exécuter le .run et lui dire de recompiler...

Share this post


Link to post
Share on other sites

J'avais pas regardé dans le répertoire testing...

OK, merci

Share this post


Link to post
Share on other sites

Tuxxx : je teste sous Mandrake avant se le faire sous Conectiva, donc je lis attentivement et je fais ce que tu marques sans me presser-pas envie de foutre le bordel.

Si je peux faire des remarques de newbie :

1°)Tu pourrais peut-être préciser que si on a le kernel au format tar.gz on tape tar xfvz (pourquoi mettre un - ?, ça marche sans).

Oui, je sais bzip2 ça compresse plus ... mais moi par exemple j'ai pris le tar.gz par réflexe...

2°)J'avais déjà un lien pour linux : ne faudrait-il pas préciser que dans ce cas il faut d'abord l'enlever (rm linux) puis refaire un autre lien ?

C'est juste des suggestions, je continue ...

Share this post


Link to post
Share on other sites
(pourquoi mettre un - ?, ça marche sans)

Parce que justement quelquefois, ça ne marche pas

Parce que normalement, on met un - devant les options, ça permet de délimiter les 2

Parce que ça permet aux débutants de voir que x,v,j et f sont des options...

Pour le lien linux, je vais modifier...

Share this post


Link to post
Share on other sites

1er problème :

quand je me mets sur /usr/src/linux et que je fais ls, j'ai linux écrit en blanc entouré d'un rectangle rouge et ça clignote : ça doit pas être bon signe ...

Peut-être parce que au début j'ai fait un lien sur 2.6.7 alors qu'il en existait déjà un sur 2.6.3-13 ...

Comment je fais pour me sortir de là ?

Share this post


Link to post
Share on other sites

Je suis le newbie testeur ...

2nd problème :

Le 1er patch se passe bien, pour le 2nd :

[root@localhost linux]# patch -p2 <2.6.8-rc1-mm1

can't find file to patch at input line 3

Perhaps you used the wrong -p or --strip option?

The text leading up to this was:

--------------------------

|--- linux-2.6.8-rc1/arch/alpha/kernel/core_tsunami.c 2004-02-17 20:48:42.000000000 -0800

|+++ 25/arch/alpha/kernel/core_tsunami.c 2004-07-13 17:09:13.000000000 -0700

--------------------------

File to patch:

J'ai fait un CTRL C pour sortir ...

:bouletdujour:

Share this post


Link to post
Share on other sites
1er problème :

quand je me mets sur /usr/src/linux et que je fais ls, j'ai linux écrit en blanc entouré d'un rectangle rouge et ça clignote : ça doit pas être bon signe ...

Peut-être parce que au début j'ai fait un lien sur 2.6.7 alors qu'il en existait déjà un sur 2.6.3-13 ...

Comment je fais pour me sortir de là ?

Ouais, ça sous mandrake je crois que ça veut dire que le lien symbolique ne pointe plus sur rien...

Enlève-le et recrée-le...

Share this post


Link to post
Share on other sites

Problème N° 1 réglé : en fait Mandrake me signalait un problème et il y en avait bien un.

J'avais linux-2.6.7 qui pointait vers lui-même en plus du linux pointant vers linux-2.6.7...

Fausse manip, c'est réglé.

(J'ai du faire ln -s linux-2.6.7 linux puis ln -s linux linux-2.6.7 ..., n'importe quoi...). :kimouss:

Share this post


Link to post
Share on other sites

C'est surtout la pauvre Mandrake qui a du se dire n'importe quoi en essayant de capter qq chose ! lol

Share this post


Link to post
Share on other sites

×
×
  • Create New...